#include "pch.h"
#include "Point.h"
#include<iostream>
using namespace std;

Point::Point() : x(0), y(0)
{
}

Point::Point(double a) : x{ a },y{0}
{
}

Point::Point(double x1, double y1) : x{ x1 }, y{ y1 }
{
}

double Point::get_x() const
{
	return x;
}

double Point::get_y() const
{
	return y;
}

void Point::print_point() const
{
	cout << "x=" << x << " y=" << y << endl;
}

istream & operator>>(istream & in, Point & a)
{
	in >> a.x >> a.y;
	return in;
}

bool operator==(const Point & a, const Point & b)
{
	return (a.x == b.x) && (a.y == b.y);
}

ostream & operator<<(ostream & out, const Point & a)
{
	out << "x=" << a.x << " y=" << a.y << endl;
	return out;
}

Point operator+(const Point & a, const Point & b)
{
	Point tmp;
	tmp.x = a.x + b.x;
	tmp.y = a.y + b.y;
	return tmp;
}

bool equal(const Point & a,const Point & b)
{
	return (a.x == b.x) && (a.y == b.y);
}

Point add(const Point & a, const Point & b)
{
	Point tmp;
	tmp.x = a.x + b.x;
	tmp.y = a.y + b.y;
	return tmp;
}
